升级python

2012年11月13日 发表评论 阅读评论

python平可以算是时下最为流行的解释性语言之一,其风头大有盖过perl和ruby之势。而很多linux发行版上默认使用的python版本比较老,如:centos、redhat…… ,拿centos5.X来说,默认使用的是python2.4 。而目前主流的python是2.7主3.3 。显然,2.4版本有点跟不上时代 。而我们又无法通过yum update 进行更新(不排除有第三方源可以的)。更何况yum本身还要使用python2.4 。

我们可以使用下面的方法做到两全。到http://www.python.org/getit/ 页面选择需要下载的版本。解压名安装:

./configure
make all
make install
make clean
make distclean

不出意外,应该可以在/usr/local/bin/看到python2.7文件,也就说明2.7安装成功。接下来要做的就是通过软链接的方式让系统默认使用2.7,操作如下:

mv /usr/bin/python /usr/bin/bak_python
ln -s /usr/local/bin/python2.7 /usr/bin/python

现在升级就算完成了,不过由于yum使用的python是2.4这个版本,所有yum不能用了,解决这个问题也很简单,只需要修改/usr/bin/yum文件,把第一行的#!/usr/bin/python换成#!/usr/bin/python2.4即可。




本站的发展离不开您的资助,金额随意,欢迎来赏!

You can donate through PayPal.
My paypal id: itybku@139.com
Paypal page: https://www.paypal.me/361way

  1. 本文目前尚无任何评论.